Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts.timeperiod
Class AbstractTimePeriodGroupedChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.charts.timeperiod.AbstractTimePeriodGroupedChart

All Implemented Interfaces:
  ChartBuilder

Direct Known Subclasses:
  AverageDurationLineChart, BreakagesLineChart, SuccessRatioStackedAreaChart

    public abstract class AbstractTimePeriodGroupedChart

extends AbstractBambooChart

Field Summary
`static String` | `DAY`
`static String` | `MONTH`
`static String` | `WEEK`
`static String` | `YEAR`

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`AbstractTimePeriodGroupedChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, String periodRange)`

Method Summary
`protected abstract TimePeriodCollater` | `createNewPeriod(Date buildDate, ResultStatisticsProvider result, String seriesName)`
`protected List` | `getAllPeriodsBetweenDates(Date earliest, Date latest)`
`protected Date` | `getEarliestBuildDate(List results)`
`protected Date` | `getLatestbuildDate(List results)`
`protected RegularTimePeriod` | `getPeriod(Date date, String periodRange)`
`String` | `getPeriodRange()`
`protected boolean` | `isInPeriod(RegularTimePeriod time, Date date)`
`protected TimeTableXYDataset` | `populateDataSet(Collection results, TimeTableXYDataset dataset, String seriesName)`
`protected abstract void` | `writeCounterToDataSet(TimeTableXYDataset dataset, TimePeriodCollater counter)`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.charts.ChartBuilder
`generateChartParams`

Field Detail

### MONTH

    public static final String MONTH

See Also:
  Constant Field Values

### YEAR

    public static final String YEAR

See Also:
  Constant Field Values

### WEEK

    public static final String WEEK

See Also:
  Constant Field Values

### DAY

    public static final String DAY

See Also:
  Constant Field Values

Constructor Detail

### AbstractTimePeriodGroupedChart

    public AbstractTimePeriodGroupedChart(int height,
                                          int width,
                                          String chartTitle,
                                          String xAxisLabel,
                                          String yAxisLabel,
                                          String periodRange)

Method Detail

### populateDataSet

    protected TimeTableXYDataset populateDataSet(Collection results,
                                                 TimeTableXYDataset dataset,
                                                 String seriesName)

### getAllPeriodsBetweenDates

    protected List getAllPeriodsBetweenDates(Date earliest,
                                             Date latest)

### getEarliestBuildDate

    protected Date getEarliestBuildDate(List results)

### getLatestbuildDate

    protected Date getLatestbuildDate(List results)

### createNewPeriod

    protected abstract TimePeriodCollater createNewPeriod(Date buildDate,
                                                          ResultStatisticsProvider result,
                                                          String seriesName)

### writeCounterToDataSet

    protected abstract void writeCounterToDataSet(TimeTableXYDataset dataset,
                                                  TimePeriodCollater counter)

### getPeriod

    protected RegularTimePeriod getPeriod(Date date,
                                          String periodRange)

### isInPeriod

    protected boolean isInPeriod(RegularTimePeriod time,
                                 Date date)

### getPeriodRange

    public String getPeriodRange()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.